数据核查
端点
| 环境 | URL |
|---|---|
| 生产环境 | POST https://api.id.unico.app/lists/{cpf} |
| 沙盒环境 | POST https://api.id.uat.unico.app/lists/{cpf} |
独立端点设计
该端点与标准流程创建接口(POST /processes/v1)相互独立。它返回的是一组数据列表,而非确定性的身份核查结果。
请求
请求头
| 请求头 | 值 |
|---|---|
Authorization | Bearer <access_token>(参见身份验证) |
路径参数
| 参数 | 类型 | 必填 | 描述 |
|---|---|---|---|
cpf | string | 是 | 待查询人员的 CPF。 |
curl -X POST "https://api.id.uat.unico.app/lists/12345678909" \
-H "Authorization: Bearer $TOKEN"
响应
根层信封
{
"id": "41c24382-36ce-4bb4-8339-352114f71f78",
"status": 3,
"lists": { }
}
| 字段 | 类型 | 描述 |
|---|---|---|
id | string (UUID) | 请求的唯一标识符。 |
status | integer | 处理状态。 |
lists | object | 包含查询数据的主载荷。 |
`lists.basicData` — 登记数据
{
"basicData": {
"name": "JOAO DA SILVA",
"birthCountry": "BRASILEIRA",
"birthDate": "1990-01-01T00:00:00Z",
"gender": "M",
"motherName": "MARIA DA SILVA",
"fatherName": "",
"maritalStatus": "",
"rgNumber": "",
"rgIssuingAgency": "",
"rgStateCode": "",
"financialData": {
"incomeEstimate": "...",
"totalAssets": "..."
},
"address": {
"addressMain": "AVENIDA DO ESTADO",
"number": "123",
"complement": "ANDAR 1",
"neighborhood": "CENTRO",
"zipCode": "12345678",
"city": "SAO PAULO",
"state": "SP",
"country": "BRASIL",
"type": "WORK"
},
"email": "...",
"phone": "+554799999999"
}
}
| 字段 | 类型 | 描述 |
|---|---|---|
name | string | 全名。 |
birthCountry | string | 出生国家。 |
birthDate | string (ISO 8601) | 出生日期。 |
gender | string | 性别。 |
motherName | string | 母亲姓名。 |
fatherName | string | 父亲姓名。 |
maritalStatus | string | 婚姻状况。 |
rgNumber | string | RG 编号。 |
rgIssuingAgency | string | RG 签发机构。 |
rgStateCode | string | RG 州代码。 |
financialData.incomeEstimate | string | 收入估算。 |
financialData.totalAssets | string | 总资产。 |
email | string | 电子邮件。 |
phone | string | 电话号码。 |
basicData.address:
| 字段 | 类型 | 描述 |
|---|---|---|
addressMain | string | 街道名称。 |
number | string | 门牌号。 |
complement | string | 补充地址。 |
neighborhood | string | 社区/街区。 |
zipCode | string | 邮政 编码。 |
city | string | 城市。 |
state | string | 州代码。 |
country | string | 国家。 |
type | string | 地址类型(例如 WORK)。 |
`lists.riskData.taxIdValidation` — CPF 验证
{
"taxIdValidation": {
"taxIdStatus": "REGULAR",
"taxIdStatusDate": "...",
"decease": false,
"under18": false
}
}
| 字段 | 类型 | 描述 |
|---|---|---|
taxIdStatus | string | CPF 登记状态。 |
taxIdStatusDate | string | 登记状态的日期。 |
decease | boolean | 是否已死亡。 |
under18 | boolean | 是否未满 18 岁。 |
`lists.riskData.pep` — 政治敏感人士
{
"pep": {
"isCurrentlyPep": true,
"records": [
{
"level": "1",
"jobTitle": "SENADOR",
"motive": "FEDERAL EMPLOYEE"
}
],
"hasRelatedPep": true,
"related": [
{
"taxId": "01253069891",
"level": "2",
"jobTitle": "FAMILIAR"
}
]
}
}
| 字段 | 类型 | 描述 |
|---|---|---|
isCurrentlyPep | boolean | 当前是否为政治敏感人士(PEP)。 |
records | array | 自身的 PEP 记录。 |
records[].level | string | 政治曝光等级。 |
records[].jobTitle | string | 职务。 |
records[].motive | string | 分类原因。 |
hasRelatedPep | boolean | 是否有关联的 PEP 人员。 |
related | array | 关联 PEP 人员列表。 |
related[].taxId | string | 关联人员的 CPF。 |
related[].level | string | 曝光等级。 |
related[].jobTitle | string | 关联人员的职务。 |
`lists.riskData.aml` — 反洗钱(制裁)
{
"aml": {
"isSanctioned": true,
"records": [
{
"type": "Law Enforcement",
"source": "interpol",
"standardizedType": "ARREST WARRANTS",
"endDate": "..."
}
],
"hasRelatedSanctioned": false,
"relatedRecords": []
}
}
| 字段 | 类型 | 描述 |
|---|---|---|
isSanctioned | boolean | 是否受到制裁。 |
records | array | 自身的制裁记录。 |
records[].type | string | 制裁类型。 |
records[].source | string | 制裁来源。 |
records[].standardizedType | string | 标准化类型。 |
records[].endDate | string | 截止日期。 |
hasRelatedSanctioned | boolean | 是否有受制裁的关联人员。 |
relatedRecords | array | 关联人员的制裁记录。 |
`lists.riskData.sportsRelationship` — 体育博彩关系
{
"sportsRelationship": {
"hasSportsRelationship": false,
"isCurrentlyAthlete": false,
"isCurrentlySportsCoach": false,
"isCurrentlySportsClubDirector": false,
"isCurrentlyReferee": false,
"isCurrentlyRelatedToFinanceMinistry": false,
"isCurrentlyBettingCompanyOwner": false,
"sportsRelationshipMotive": "",
"sportExposures": []
}
}
| 字段 | 类型 | 描述 |
|---|---|---|
hasSportsRelationship | boolean | 是否具有体育关系。 |
isCurrentlyAthlete | boolean | 是否为在役运动员。 |
isCurrentlySportsCoach | boolean | 是否为在职教练。 |
isCurrentlySportsClubDirector | boolean | 是否为在职俱乐部总监。 |
isCurrentlyReferee | boolean | 是否为在职裁判员。 |
isCurrentlyRelatedToFinanceMinistry | boolean | 是否与财政部存在关联。 |
isCurrentlyBettingCompanyOwner | boolean | 是否为博彩公司所有者。 |
sportsRelationshipMotive | string | 关联原因。 |
sportExposures | array | 详细的体育曝光信息。 |
sportExposures[]:
| 字段 | 类型 | 描述 |
|---|---|---|
sportName | string | 运动项目名称。 |
region | string | 活动地区。 |
totalRelatedEntities | integer | 关联实体总数。 |
relationshipLevel | string | 关联等级。 |
endDate | string | 截止日期。 |
错误代码
- 400 Bad Request
- 403 Forbidden
- 500 Internal Server Error
| 代码 | 消息 | 描述 |
|---|---|---|
99989 | The document is invalid. | CPF 无效时返回。 |
| 代码 | 消息 | 描述 |
|---|---|---|
10501 | The authorization token is invalid. | 认证令牌无效。 |
| 代码 | 消息 | 描述 |
|---|---|---|
99999 | Internal failure! Try again later | 发生内部错误时返回。 |